petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatISGetLocalMat

Gets the local matrix stored inside a MATIS matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatISGetLocalMat(Mat mat,Mat *local)

### Input Parameter

mat -the matrix Many br

### Output Parameter

local -the local matrix Many br

Many br

### Notes

This can be called if you have precomputed the nonzero structure of the Many brmatrix and want to provide it to the inner matrix object to improve the performance Many brof the MatSetValues() operation. Many br

### See Also

MATIS

Level:advanced
Location:src/mat/impls/is/matis.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages